Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom
Class Attribute

    java.lang.Object
      |
      +--org.jdom.Attribute

public class Attribute
extends Object
implements Serializable, Cloneable

`Attribute` defines behavior for an XML attribute, modeled in Java. Methods allow the user to obtain the value of the attribute as well as namespace information.

Version:
  1.0
Author:
  Brett McLaughlin, Jason Hunter, Elliotte Rusty Harold, Wesley Biggs
See Also:
  Serialized Form

Field Summary
`protected String` | `name` The local name of the `Attribute`
`protected Namespace` | `namespace` The ``Namespace`` of the `Attribute`
`protected Element` | `parent` Parent element, or null if none
`protected String` | `value` The value of the `Attribute`

Constructor Summary
`protected` | `Attribute()` Default, no-args constructor for implementations to use if needed.
`` | `Attribute(String name, String value)` This will create a new `Attribute` with the specified (local) name and value, and does not place the attribute in a ``Namespace``.
`` | `Attribute(String name, String value, Namespace namespace)` This will create a new `Attribute` with the specified (local) name and value, and in the provided ``Namespace``.
`` | `Attribute(String name, String prefix, String uri, String value)` Deprecated. Deprecated in beta7, use Attribute(String name, String value, Namespace namespace) instead

Method Summary
`Object` | `clone()` This will return a clone of this `Attribute`.
`Attribute` | `detach()` This detaches the `Attribute` from its parent, or does nothing if the `Attribute` has no parent.
`boolean` | `equals(Object ob)` This tests for equality of this `Attribute` to the supplied `Object`.
`boolean` | `getBooleanValue()` This gets the value of the attribute, in `boolean` form, and if no conversion can occur, throws a ``DataConversionException``
`Document` | `getDocument()` This retrieves the owning ``Document`` for this Attribute, or null if not a currently a member of a ``Document``.
`double` | `getDoubleValue()` This gets the value of the attribute, in `double` form, and if no conversion can occur, throws a ``DataConversionException``
`float` | `getFloatValue()` This gets the value of the attribute, in `float` form, and if no conversion can occur, throws a ``DataConversionException``
`int` | `getIntValue()` This gets the value of the attribute, in `int` form, and if no conversion can occur, throws a ``DataConversionException``
`long` | `getLongValue()` This gets the value of the attribute, in `long` form, and if no conversion can occur, throws a ``DataConversionException``
`String` | `getName()` This will retrieve the local name of the `Attribute`.
`Namespace` | `getNamespace()` This will return this `Attribute`'s ``Namespace``.
`String` | `getNamespacePrefix()` This will retrieve the namespace prefix of the `Attribute`.
`String` | `getNamespaceURI()` This returns the URI mapped to this `Attribute`'s prefix.
`Element` | `getParent()` This will return the parent of this `Attribute`.
`String` | `getQualifiedName()` This will retrieve the qualified name of the `Attribute`.
`String` | `getSerializedForm()` Deprecated. Deprecated in Beta7, use XMLOutputter.outputString(Attribute) instead
`String` | `getValue()` This will return the actual textual value of this `Attribute`.
`int` | `hashCode()` This returns the hash code for this `Attribute`.
`Attribute` | `setName(String name)` This sets the local name of the `Attribute`.
`Attribute` | `setNamespace(Namespace namespace)` This sets this `Attribute`'s ``Namespace``.
`protected Attribute` | `setParent(Element parent)` This will set the parent of this `Comment`.
`Attribute` | `setValue(String value)` This will set the value of the `Attribute`.
`String` | `toString()` This returns a `String` representation of the `Attribute`, suitable for debugging.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected String name

  The local name of the `Attribute`

### namespace

    protected transient Namespace namespace

  The ``Namespace`` of the `Attribute`

### value

    protected String value

  The value of the `Attribute`

### parent

    protected Element parent

  Parent element, or null if none

Constructor Detail

### Attribute

    protected Attribute()

  Default, no-args constructor for implementations to use if needed.

### Attribute

    public Attribute(String name,
                     String value,
                     Namespace namespace)

  This will create a new `Attribute` with the specified (local) name and value, and in the provided ``Namespace``.

  Parameters:
    `name` - `String` name of `Attribute`.
    `value` - `String` value for new attribute.

### Attribute

    public Attribute(String name,
                     String value)

  This will create a new `Attribute` with the specified (local) name and value, and does not place the attribute in a ``Namespace``.

  Note: This actually explicitly puts the `Attribute` in the "empty" `Namespace` (``Namespace.NO_NAMESPACE``).

  Parameters:
    `name` - `String` name of `Attribute`.
    `value` - `String` value for new attribute.

### Attribute

    public Attribute(String name,
                     String prefix,
                     String uri,
                     String value)

  Deprecated. Deprecated in beta7, use Attribute(String name, String value, Namespace namespace) instead

  This will create a new `Attribute` with the specified (local) name and value, and place it in the specified namespace (with prefix).

  Parameters:
    `name` - `String` name of `Attribute`.
    `prefix` - `String` prefix for `Attribute`.
    `uri` - `String` URI for namespace this `Attribute` is in.
    `value` - `String` value for new attribute.

Method Detail

### getParent

    public Element getParent()

  This will return the parent of this `Attribute`. If there is no parent, then this returns `null`.

  Returns:
    parent of this `Attribute`

### getDocument

    public Document getDocument()

  This retrieves the owning ``Document`` for this Attribute, or null if not a currently a member of a ``Document``.

  Returns:
    `Document` owning this Attribute, or null.

### setParent

    protected Attribute setParent(Element parent)

  This will set the parent of this `Comment`.

  Parameters:
    `parent` - `Element` to be new parent.
  Returns:
    this `Comment` modified.

### detach

    public Attribute detach()

  This detaches the `Attribute` from its parent, or does nothing if the `Attribute` has no parent.

  Returns:
    `Attribute` - this `Attribute` modified.

### getName

    public String getName()

  This will retrieve the local name of the `Attribute`. For any XML attribute which appears as `[namespacePrefix]:[attributeName]`, the local name of the attribute would be `[attributeName]`. When the attribute has no namespace, the local name is simply the attribute name.

  To obtain the namespace prefix for this attribute, the ``getNamespacePrefix()`` method should be used.

  Returns:
    `String` - name of this attribute, without any namespace prefix.

### setName

    public Attribute setName(String name)

  This sets the local name of the `Attribute`.

  Returns:
    `Attribute` - the attribute modified.
  Throws:
    IllegalNameException - if the given name is invalid as an attribute name.

### getQualifiedName

    public String getQualifiedName()

  This will retrieve the qualified name of the `Attribute`. For any XML attribute whose name is `[namespacePrefix]:[elementName]`, the qualified name of the attribute would be everything (both namespace prefix and element name). When the attribute has no namespace, the qualified name is simply the attribute's local name.

  To obtain the local name of the attribute, the ``getName()`` method should be used.

  To obtain the namespace prefix for this attribute, the ``getNamespacePrefix()`` method should be used.

  Returns:
    `String` - full name for this element.

### getNamespacePrefix

    public String getNamespacePrefix()

  This will retrieve the namespace prefix of the `Attribute`. For any XML attribute which appears as `[namespacePrefix]:[attributeName]`, the namespace prefix of the attribute would be `[namespacePrefix]`. When the attribute has no namespace, an empty `String` is returned.

  Returns:
    `String` - namespace prefix of this attribute.

### getNamespaceURI

    public String getNamespaceURI()

  This returns the URI mapped to this `Attribute`'s prefix. If no mapping is found, an empty `String` is returned.

  Returns:
    `String` - namespace URI for this `Attribute`.

### getNamespace

    public Namespace getNamespace()

  This will return this `Attribute`'s ``Namespace``.

  Returns:
    `Namespace` - Namespace object for this `Attribute`

### setNamespace

    public Attribute setNamespace(Namespace namespace)

  This sets this `Attribute`'s ``Namespace``. If the provided namespace is null, the attribute will have no namespace. The namespace must have a prefix.

  Returns:
    `Element` - the element modified.
  Throws:
    IllegalNameException - if the new namespace is the default namespace. Attributes cannot be in a default namespace.

### getValue

    public String getValue()

  This will return the actual textual value of this `Attribute`. This will include all text within the quotation marks.

  Returns:
    `String` - value for this attribute.

### setValue

    public Attribute setValue(String value)

  This will set the value of the `Attribute`.

  Parameters:
    `value` - `String` value for the attribute.
  Returns:
    `Attribute` - this Attribute modified.
  Throws:
    IllegalDataException - if the given attribute value is illegal character data (as determined by `Verifier.checkCharacterData(java.lang.String)`).

### toString

    public String toString()

  This returns a `String` representation of the `Attribute`, suitable for debugging.

  Overrides:
    toString in class Object
  Returns:
    `String` - information about the `Attribute`

### equals

    public final boolean equals(Object ob)

  This tests for equality of this `Attribute` to the supplied `Object`.

  Overrides:
    equals in class Object
  Parameters:
    `ob` - `Object` to compare to.
  Returns:
    `boolean` - whether the `Attribute` is equal to the supplied `Object`.

### hashCode

    public final int hashCode()

  This returns the hash code for this `Attribute`.

  Overrides:
    hashCode in class Object
  Returns:
    `int` - hash code.

### clone

    public Object clone()

  This will return a clone of this `Attribute`.

  Overrides:
    clone in class Object
  Returns:
    `Object` - clone of this `Attribute`.

### getIntValue

    public int getIntValue()
                    throws DataConversionException

  This gets the value of the attribute, in `int` form, and if no conversion can occur, throws a ``DataConversionException``

  Returns:
    `int` value of attribute.
  Throws:
    DataConversionException - when conversion fails.

### getLongValue

    public long getLongValue()
                      throws DataConversionException

  This gets the value of the attribute, in `long` form, and if no conversion can occur, throws a ``DataConversionException``

  Returns:
    `long` value of attribute.
  Throws:
    DataConversionException - when conversion fails.

### getFloatValue

    public float getFloatValue()
                        throws DataConversionException

  This gets the value of the attribute, in `float` form, and if no conversion can occur, throws a ``DataConversionException``

  Returns:
    `float` value of attribute.
  Throws:
    DataConversionException - when conversion fails.

### getDoubleValue

    public double getDoubleValue()
                          throws DataConversionException

  This gets the value of the attribute, in `double` form, and if no conversion can occur, throws a ``DataConversionException``

  Returns:
    `double` value of attribute.
  Throws:
    DataConversionException - when conversion fails.

### getBooleanValue

    public boolean getBooleanValue()
                            throws DataConversionException

  This gets the value of the attribute, in `boolean` form, and if no conversion can occur, throws a ``DataConversionException``

  Returns:
    `boolean` value of attribute.
  Throws:
    DataConversionException - when conversion fails.

### getSerializedForm

    public final String getSerializedForm()

  Deprecated. Deprecated in Beta7, use XMLOutputter.outputString(Attribute) instead

  This will return the `Attribute` in XML format, usable in an XML document.

  Returns:
    `String` - the serialized form of the `Attribute`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Jason Hunter, Brett McLaughlin. All Rights Reserved.